require 'spec_helper'
require 'presto/dimensions'

describe Presto::Dimensions do
	describe "::resize" do
		describe "when target width and height assigned" do
			it "returns target width and height" do
				d = ::Presto::Dimensions.resize(123, 234, 345, 456)
				d.width.must_equal 345
				d.height.must_equal 456
			end
		end

		describe "when only target width assigned" do
			it "returns target width with proportional height" do
				d = ::Presto::Dimensions.resize(100, 250, 300, nil)
				d.width.must_equal 300
				d.height.must_equal 750
			end
		end

		describe "when only target height assigned" do
			it "returns target height with proportional width" do
				d = ::Presto::Dimensions.resize(100, 250, nil, 500)
				d.width.must_equal 200
				d.height.must_equal 500
			end
		end

		describe "when target width and height not assigned" do			
			it "return original width and height" do
				d = ::Presto::Dimensions.resize(123, 234)
				d.width.must_equal 123
				d.height.must_equal 234
			end
		end
	end
end