require 'spec_helper'
require 'presto/transformation'

describe Presto::Transformation do
	it "sets default fit" do
		Presto::Transformation.new.fit.must_equal 'clip'
	end

	it "sets default bg" do
		Presto::Transformation.new.bg.must_equal '#ffffff00'
	end

	it "coerses w to integer" do
		Presto::Transformation.new(:w => '123').w.must_equal 123
	end

	it "coerses h to integer" do
		Presto::Transformation.new(:h => '123').h.must_equal 123
	end

	it "coerses bg to hexdec format" do
		Presto::Transformation.new(:bg => 'eee').bg.must_equal '#eee'
	end

	it "coerses q to integer" do
		Presto::Transformation.new(:q => '50').q.must_equal 50
	end

	it "can access method via hash syntax" do
		trans = Presto::Transformation.new(:h => 123)
		trans[:h].must_equal 123
		trans['h'].must_equal 123
	end
end